Skip to main content
GET
Returns one comment on a task.

Authorizations

X-API-Key
string
header
required

Your Gorelo API key. See Generate API key. If your data is hosted in Australia, click the base URL at the top of this page and select https://api.aue.gorelo.io.

Path Parameters

projectId
string<uuid>
required

Project the task belongs to.

taskId
string<uuid>
required

Task the comment belongs to.

commentId
string<uuid>
required

Comment to return.

Response

OK

StatusCode
enum<integer>
Available options:
100,
101,
102,
103,
200,
201,
202,
203,
204,
205,
206,
207,
208,
226,
300,
301,
302,
303,
304,
305,
306,
307,
308,
400,
401,
402,
403,
404,
405,
406,
407,
408,
409,
410,
411,
412,
413,
414,
415,
416,
417,
421,
422,
423,
424,
426,
428,
429,
431,
451,
500,
501,
502,
503,
504,
505,
506,
507,
508,
510,
511
IsSuccess
boolean
Data
object

A comment on a task. All timestamps are UTC.

Same shape as a project comment and a ticket comment. A task, unlike a project, has side conversations and approvals, so ConversationId is populated for those two kinds.

DataContext
object | null
Example:

null

Notifications
object[]